// const 修饰指针变量 p, 使得 p 变成只读变量, 不能指向新的地址
// 指针变量是只读 (不能指向新的地址)
#include <stdio.h>

int main()
{
    const int n = 10;
    int *const p = &n; // 必须初始化, 不等于 const int *p = &n;
    *p = 20;           // 可以修改指针变量指向的内容
    printf("%d\n", *p);
    int m = 100;
    // p = &m; // 编译时报错: 因为 p 是只读变量
    return 0;
}